<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Kids Love Pro
	 * @since Kids Love Pro 1.0.0
	 */

	/**
	 * kids_love_pro_doctype hook
	 *
	 * @hooked kids_love_pro_doctype -  10
	 *
	 */
	do_action( 'kids_love_pro_doctype' );

?>
<head>
<?php
	/**
	 * kids_love_pro_before_wp_head hook
	 *
	 * @hooked kids_love_pro_head -  10
	 *
	 */
	do_action( 'kids_love_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
<?php do_action( 'wp_body_open' ); ?>
<?php
	/**
	 * kids_love_pro_page_start_action hook
	 *
	 * @hooked kids_love_pro_page_start -  10
	 *
	 */
	do_action( 'kids_love_pro_page_start_action' ); 

	/**
	 * kids_love_pro_loader_action hook
	 *
	 * @hooked kids_love_pro_loader -  10
	 *
	 */
	do_action( 'kids_love_pro_before_header' );

	/**
	 * kids_love_pro_header_action hook
	 *
	 * @hooked kids_love_pro_header_start -  10
	 * @hooked kids_love_pro_site_branding -  20
	 * @hooked kids_love_pro_site_navigation -  30
	 * @hooked kids_love_pro_header_end -  50
	 *
	 */
	do_action( 'kids_love_pro_header_action' );

	/**
	 * kids_love_pro_content_start_action hook
	 *
	 * @hooked kids_love_pro_content_start -  10
	 *
	 */
	do_action( 'kids_love_pro_content_start_action' );

	/**
	 * kids_love_pro_header_image_action hook
	 *
	 * @hooked kids_love_pro_header_image -  10
	 *
	 */
	do_action( 'kids_love_pro_header_image_action' );

    if ( kids_love_pro_is_frontpage() ) {
    	$options = kids_love_pro_get_theme_options();

    	if ( $options['home_layout'] == 'default-design' || $options['home_layout'] == 'second-design' || $options['home_layout'] == 'third-design' )  {
			$sections = array( 'introduction', 'hero_content', 'about', 'service', 'featured', 'blog', 'cta', 'testimonial' );
		}

		if( $options['home_layout'] == 'fourth-design' ){
			$sections = array( 'introduction', 'service', 'about', 'team', 'counter', 'blog', 'testimonial' );
		}

		foreach ( $sections as $section ) {
			add_action( 'kids_love_pro_primary_content', 'kids_love_pro_add_'. $section .'_section' );
		}
		do_action( 'kids_love_pro_primary_content' );
	}