<?php
/**
 * Featured Section options
 *
 * @package Theme Palace
 * @subpackage Kids Love Pro
 * @since Kids Love Pro 1.0.0
 */

// Add Featured section
$wp_customize->add_section( 'kids_love_pro_featured_section', array(
	'title'             => esc_html__( 'Featured Gallery','kids-love-pro' ),
	'description'       => esc_html__( 'Featured Section options.', 'kids-love-pro' ),
	'panel'             => 'kids_love_pro_front_page_panel',
) );

// Featured content enable control and setting
$wp_customize->add_setting( 'kids_love_pro_theme_options[featured_section_enable]', array(
	'default'			=> 	$options['featured_section_enable'],
	'sanitize_callback' => 'kids_love_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Kids_Love_Pro_Switch_Control( $wp_customize, 'kids_love_pro_theme_options[featured_section_enable]', array(
	'label'             => esc_html__( 'Featured Section Enable', 'kids-love-pro' ),
	'section'           => 'kids_love_pro_featured_section',
	'on_off_label' 		=> kids_love_pro_switch_options(),
) ) );

// Featured sub title setting and control
$wp_customize->add_setting( 'kids_love_pro_theme_options[featured_sub_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['featured_sub_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'kids_love_pro_theme_options[featured_sub_title]', array(
	'label'           	=> esc_html__( 'Sub Title', 'kids-love-pro' ),
	'section'        	=> 'kids_love_pro_featured_section',
	'active_callback' 	=> 'kids_love_pro_is_featured_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'kids_love_pro_theme_options[featured_sub_title]', array(
		'selector'            => '#our-gallery .section-header .section-subtitle',
		'settings'            => 'kids_love_pro_theme_options[featured_sub_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'kids_love_pro_featured_sub_title_partial',
    ) );
}

// Featured title setting and control
$wp_customize->add_setting( 'kids_love_pro_theme_options[featured_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['featured_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'kids_love_pro_theme_options[featured_title]', array(
	'label'           	=> esc_html__( 'Title', 'kids-love-pro' ),
	'section'        	=> 'kids_love_pro_featured_section',
	'active_callback' 	=> 'kids_love_pro_is_featured_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'kids_love_pro_theme_options[featured_title]', array(
		'selector'            => '#our-gallery .section-header h2.section-title',
		'settings'            => 'kids_love_pro_theme_options[featured_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'kids_love_pro_featured_title_partial',
    ) );
}

// Add dropdown category setting and control.
$wp_customize->add_setting(  'kids_love_pro_theme_options[featured_content_category]', array(
	'sanitize_callback' => 'kids_love_pro_sanitize_category_list',
) ) ;

$wp_customize->add_control( new Kids_Love_Pro_Dropdown_Category_Control( $wp_customize,'kids_love_pro_theme_options[featured_content_category]', array(
	'label'             => esc_html__( 'Select Categories', 'kids-love-pro' ),
	'description'      	=> esc_html__( 'Note: Press CTRL and select multiple categories. Latest three posts will be shown from selected category in tabs.', 'kids-love-pro' ),
	'section'           => 'kids_love_pro_featured_section',
	'type'              => 'dropdown-taxonomies',
	'active_callback'	=> 'kids_love_pro_is_featured_section_enable'
) ) );
