<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Kids Love Pro
 * @since Kids Love Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'kids_love_pro_menu', array(
	'title'             => esc_html__('Header Menu','kids-love-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'kids-love-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'kids_love_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'kids_love_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Kids_Love_Pro_Switch_Control( $wp_customize, 'kids_love_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'kids-love-pro' ),
	'section'           => 'kids_love_pro_menu',
	'on_off_label' 		=> kids_love_pro_switch_options(),
) ) );

// top bar menu visible
$wp_customize->add_setting( 'kids_love_pro_theme_options[menu_social_enable]',
	array(
		'default'       	=> $options['menu_social_enable'],
		'sanitize_callback' => 'kids_love_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Kids_Love_Pro_Switch_Control( $wp_customize, 'kids_love_pro_theme_options[menu_social_enable]',
    array(
		'label'      		=> esc_html__( 'Display Social Menu', 'kids-love-pro' ),
		'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show topbar menu.', 'kids-love-pro' ), esc_html__( 'Click Here', 'kids-love-pro' ), esc_html__( 'to create menu', 'kids-love-pro' ) ),
		'section'    		=> 'kids_love_pro_menu',
		'on_off_label' 		=> kids_love_pro_switch_options(),
    )
) );