<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage Kids Love Pro
 * @since Kids Love Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'kids_love_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','kids-love-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'kids-love-pro' ),
	'panel'               => 'kids_love_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'kids_love_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'kids_love_pro_sanitize_sortable',
) );

$wp_customize->add_control( new Kids_Love_Pro_Customize_Sortable_Control ( $wp_customize, 'kids_love_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sortable Homepage', 'kids-love-pro' ),
	'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'kids-love-pro' ),
	'section'             => 'kids_love_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => kids_love_pro_sortable_sections(),
) ) );