<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Kids Love Pro
* @since Kids Love Pro 1.0.0
*/

if ( ! function_exists( 'kids_love_pro_validate_long_excerpt' ) ) :
  function kids_love_pro_validate_long_excerpt( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-love-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'kids-love-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'kids-love-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kids_love_pro_validate_introduction_count' ) ) :
  function kids_love_pro_validate_introduction_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-love-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'kids-love-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kids-love-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kids_love_pro_validate_service_count' ) ) :
  function kids_love_pro_validate_service_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-love-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'kids-love-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kids-love-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kids_love_pro_validate_blog_count' ) ) :
  function kids_love_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-love-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'kids-love-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'kids-love-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kids_love_pro_validate_testimonial_count' ) ) :
  function kids_love_pro_validate_testimonial_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-love-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'kids-love-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'kids-love-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'kids_love_pro_validate_team_count' ) ) :
  function kids_love_pro_validate_team_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'kids-love-pro' ) );
     } elseif ( $value < 4 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'kids-love-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'kids-love-pro' ) );
     }
     return $validity;
  }
endif;

